module DynamicMenu
  class Engine < ::Rails::Engine
    initializer "dynamic_menu.inheritable_menus" do |app|
      ActionView::Base.send :include, DynamicMenu::InheritableMenus
      ActionView::Base.send :include, DynamicMenu::AdvancedObjects
      ActionController::Base.send :include, DynamicMenu::AdvancedObjects
      DynamicMenu::Base.send :include, DynamicMenu::AdvancedObjects
    end
  end
end