module DynamicMenu
  module AdvancedObjects
    class AdvancedHash
      
      def initialize
        @instance = Hash.new
      end
      
      def tap! *args, &block
        yield block;
      #  @instance = @instance.map(*args, &block)
      end
      
     def add *args
       @instance.merge(args);
     end

      def method_missing method, *args, &block
        super unless @instance.methods.index method
        @instance.send method, *args, &block
      end

    end
  end
end